Last Comment Bug 169727 - Restored window position and size lost after a full screen (linux)
: Restored window position and size lost after a full screen (linux)
Status: RESOLVED DUPLICATE of bug 126730
[see comment 16 before commenting]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Linux
: -- normal with 3 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://testrunner.mozilla.org/test.cg...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 13:01 PDT by Erich 'Ricky' Iseli
Modified: 2008-04-06 11:55 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Check out the print screen. Why is the bottom of the page like this? (193.62 KB, image/png)
2005-09-16 17:31 PDT, Dave Bailey
no flags Details
Screenshot (118.09 KB, image/png)
2005-12-17 09:47 PST, Matthew
no flags Details

Description Erich 'Ricky' Iseli 2002-09-19 13:01:39 PDT
Tested on: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.1) Gecko/20020919

Steps to reproduce:
1) resize the window to anything smaller than the screen ("restored" state)
2) maximize the window
3) press F11 to get into full screen modus
4) press F11 again to quit full screen modus
=> Result: the window is now as big as in step 2, but in the "restored" state.
Initial size and position (step 1) are lost.
=> Expected result: window should be in the maximized state and should be
restorable to size and position in step 1.
Comment 1 Asa Dotzler [:asa] 2002-09-19 13:15:17 PDT
This is a mozilla bug, not a phoenix bug. It's existed in Mozilla for as long as
full-screen has been around. Please do not file bugs on the Phoenix product for
issues that also exist in Mozilla. If it's something we decide to tackle
independently of Mozilla then we'll file the bug. Thanks.
Comment 2 Asa Dotzler [:asa] 2002-09-19 13:17:09 PDT
Oops. This is something we decided to tackle independently of Mozilla.  It's #37
on our to-do list <http://mozilla.org/projects/phoenix/todo.html>. Sorry.
Reopening. 
Comment 3 Blake Ross 2002-09-24 14:26:10 PDT
-> hewitt
Comment 4 Asa Dotzler [:asa] 2002-10-02 19:51:34 PDT
I believe that this is also being tracked as Mozilla Browser bug 126730 so maybe
we'll get lucky and pick up a fix from them.
Comment 5 alanjstr 2002-10-24 17:14:01 PDT
Patch checked into Mozilla and awaiting review.
Comment 6 Hermann Schwab 2002-10-27 16:46:47 PST
When was a patch checked in into mozilla-code?
I saw only a suggested patch for windows in bug 126730
the author writes in http://bugzilla.mozilla.org/show_bug.cgi?id=126730#c31

> it's still incompleted, because the patch only fixed the problem on Windows. 
> I'll try to fix the *nix part in a near future.

There´s also bug 176640 which has a patch for linux, don´t know if it´s ready.
Comment 7 Asa Dotzler [:asa] 2002-11-23 11:43:25 PST
This now works as expected with RH8 and any window manager on linux for which
_NET_WM_STATE_FULLSCREEN is supported. Support for older window managers will be
addressed in bug 179043 (I suspect "full screen" will be not be implemented for
older window managers. See bug 179043 comment 11 ).
Comment 8 noririty 2003-03-29 17:52:23 PST
v.
Comment 9 Asa Dotzler [:asa] 2004-07-16 10:10:31 PDT
I'm wrong. This is not a linux specific problem and it's still a problem. All
recent Firefox builds on Windows and Linux have this problem. If you are in the
restored state (not maximized) with a window that, for example, takes up 1/4th
of your screen, and you hit F11 to go to fullscreen, and then hit f11 to get out
of fullscreen, you are returned to _a_ restored state but not _your_ restored
state. You get a nearly full screen sized restored window and your restored
information (size and position) are forever lost. This is ugly. 

Tested windows and linux branch 0.9 builds 2004071509. 
Comment 10 Jarrod Lee Petz 2004-07-17 04:20:08 PDT
(In reply to comment #0)
> Tested on: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.1) Gecko/20020919
> 
> Steps to reproduce:
> 1) resize the window to anything smaller than the screen ("restored" state)
> 2) maximize the window
> 3) press F11 to get into full screen modus
> 4) press F11 again to quit full screen modus
> => Result: the window is now as big as in step 2, but in the "restored" state.
> Initial size and position (step 1) are lost.
> => Expected result: window should be in the maximized state and should be
> restorable to size and position in step 1.

Discovered same Bug, well I think its the same bug anyway.

Step 4 was different. Intead of pressing F11 again I clicked the restore button
in fullscreen mode.
 => Result: the window is now in restored state not maximised like it should.
And its position and size have changed from that set in step 1 to mimic a
maximised window.
 => Expected: I would think the window should return to maximised. Or possibly
to restored state with the same size and position as set in step 1(although I
think returning to its last state which in this example is Maximised would be
more appropriate)

Comment 11 Asa Dotzler [:asa] 2004-09-06 18:59:13 PDT
Linux and Windows fullscreen modes are different code, I believe. This was filed
on Linux so I'm resetting it to Linux. This should have been resolved fixed
after comment #7
Comment 13 Dave Bailey 2005-09-16 17:31:20 PDT
Created attachment 196380 [details]
Check out the print screen.  Why is the bottom of the page like this?

Do you have a fix for this?
Comment 14 Matthew 2005-12-17 09:47:29 PST
Created attachment 206182 [details]
Screenshot

It appears that there is some confusion. I am sure this bug has nothing to do with switching back from full screen etc. This screenshot shows what the screen looked like immediately after installing the latest version (17 Dec 2005) of Firfox Deer Park Alpha 2. I have not done any resizing/full screen etc. Firefox comes up with a huge chunk of grey at the bottom of the screen with no way to get rid of it. It is a seriously irritating bug since you can not see part of the web page. The description of the fault on your todo list does not sound the same.
Comment 15 Matthew 2005-12-21 02:16:13 PST
This bug appears to have been sidelined. It is a show-stopper. Please look at the attachments. One can't work like this. If there is a work around please post info ASAP. Needs urgent attention!
Comment 16 Adam Guthrie 2005-12-21 12:46:38 PST
The screenshots that Dave and Matthew posted have nothing to do with this bug; they are due to extensions breaking chrome. 

Please do not comment here unless you are contributing to a solution. (Sorry for the bugspam.)
Comment 17 Wayne Mery (:wsmwk, NI for questions) 2008-04-06 11:42:18 PDT
Andrew, do you see this. See comment 11
Comment 18 Andrew Schultz 2008-04-06 11:55:18 PDT
only with a branch build.  this was fixed recently

*** This bug has been marked as a duplicate of bug 126730 ***

Note You need to log in before you can comment on or make changes to this bug.